package gg.malloc.defense;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class InitGameCommand implements CommandExecutor {
  Plugin m_plugin;

  public InitGameCommand(Plugin plugin) {
    m_plugin = plugin;
  }

  @Override
  public boolean onCommand(CommandSender sender, Command command, String s, String[] args) {
    String worldName = args[0];
    GameRunner runner = m_plugin.getRunnerForWorld(m_plugin.getServer().getWorld(worldName));
    Player player= m_plugin.getServer().getPlayer(args[1]);
    runner.addPlayer(player);
    return true;
  }
}
